This action allows the organizer or attendee of a meeting event to forward the
meeting request to a new recipient.
If the meeting event is forwarded from an attendee's Microsoft 365 mailbox to another recipient, this action
also sends a message to notify the organizer of the forwarding, and adds the recipient to the organizer's
copy of the meeting event. This convenience is not available when forwarding from an Outlook.com account.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
Calendars.Read
Delegated (personal Microsoft account)
Calendars.Read
Application
Calendars.Read
HTTP request
POST /me/events/{id}/forward
POST /users/{id | userPrincipalName}/events/{id}/forward
POST /groups/{id}/events/{id}/forward
POST /me/calendar/events/{id}/forward
POST /users/{id | userPrincipalName}/calendar/events/{id}/forward
POST /groups/{id}/calendar/events/{id}/forward
POST /me/calendars/{id}/events/{id}/forward
POST /users/{id | userPrincipalName}/calendars/{id}/events/{id}/forward
POST /me/calendargroups/{id}/calendars/{id}/events/{id}/forward
POST /users/{id | userPrincipalName}/calendargroups/{id}/calendars/{id}/events/{id}/forward
Request headers
Name
Type
Description
Authorization
string
Bearer {token}. Required.
Content-Type
string
Nature of the data in the body of an entity. Required.
Request body
In the request body, provide a JSON object with the following parameters.
POST https://graph.microsoft.com/v1.0/me/events/{id}/forward
Content-type: application/json
{
"ToRecipients":[
{
"emailAddress": {
"address":"danas@contoso.onmicrosoft.com",
"name":"Dana Swope"
}
}
],
"Comment": "Dana, hope you can make this meeting."
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var toRecipients = new List<Recipient>()
{
new Recipient
{
EmailAddress = new EmailAddress
{
Address = "danas@contoso.onmicrosoft.com",
Name = "Dana Swope"
}
}
};
var comment = "Dana, hope you can make this meeting.";
await graphClient.Me.Events["{event-id}"]
.Forward(toRecipients,comment)
.Request()
.PostAsync();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := graphmodels.NewForwardPostRequestBody()
recipient := graphmodels.NewRecipient()
emailAddress := graphmodels.NewEmailAddress()
address := "danas@contoso.onmicrosoft.com"
emailAddress.SetAddress(&address)
name := "Dana Swope"
emailAddress.SetName(&name)
recipient.SetEmailAddress(emailAddress)
toRecipients := []graphmodels.Recipientable {
recipient,
}
requestBody.SetToRecipients(toRecipients)
comment := "Dana, hope you can make this meeting."
requestBody.SetComment(&comment)
graphClient.Me().EventsById("event-id").Forward().Post(requestBody)
Import-Module Microsoft.Graph.Users.Actions
$params = @{
ToRecipients = @(
@{
EmailAddress = @{
Address = "danas@contoso.onmicrosoft.com"
Name = "Dana Swope"
}
}
)
Comment = "Dana, hope you can make this meeting."
}
# A UPN can also be used as -UserId.
Invoke-MgForwardUserEvent -UserId $userId -EventId $eventId -BodyParameter $params
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new ForwardPostRequestBody();
$toRecipientsRecipient1 = new Recipient();
$toRecipientsRecipient1EmailAddress = new EmailAddress();
$toRecipientsRecipient1EmailAddress->setAddress('danas@contoso.onmicrosoft.com');
$toRecipientsRecipient1EmailAddress->setName('Dana Swope');
$toRecipientsRecipient1->setEmailAddress($toRecipientsRecipient1EmailAddress);
$toRecipientsArray []= $toRecipientsRecipient1;
$requestBody->setToRecipients($toRecipientsArray);
$requestBody->setComment('Dana, hope you can make this meeting.');
$graphServiceClient->me()->eventsById('event-id')->forward()->post($requestBody);